Subject: bug#24857: Anybody needs help to set up a qemu VM for GNU/Hurd?

From: Svante Signell <[email-masked]>
Date: Thu, 01 Dec 2016 18:29:22 +0100

On Thu, 2016-12-01 at 11:48 -0500, Clément Pit--Claudel wrote:
> Hi Svante,
> 
> Sorry; I wrote back to the bug list, and forgot to CC you (debbugs only
> forwards responses to the original author).
> 
> I seem to be lucky: re-running the series of steps that I posted in a clean
> Hurd VM seems to work reliably; I wasn't sure what you meant by "try to build
> it a second time", so I ran "make clean; make -j4", 5 times in a row, and it
> still worked fine on all attempts:
> 
>     In GNU Emacs 25.1.90.1 (i686-unknown-gnu0.8, GTK+ Version 3.22.3)
>      of 2016-12-01 built on debian
>     System Description:     Debian GNU buildd-unstable (sid)
> 
>     Configured using:
>      'configure --without-makeinfo'
> 
>     Configured features:
>     XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK DBUS GCONF GSETTINGS NOTIFY
>     LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB TOOLKIT_SCROLL_BARS GTK3 X11

Nice, I never succeeded to do that. Are you building with the latest
glibc/hurd/gnumach packages? Seem like the successful old package builds are not
successful any more. :(

<as root>
apt-get update
apt-get upgrade or
apt-get dist-upgrade

> I'm happy to try out Debian packages, but I'm not entirely sure how; should I
> just download the archives from https://packages.debian.org/unstable/emacs25 ?
> Do I need to build emacs25-bin-common separately?

You just do:
<as root>
apt-get build-dep emacs25
<as user>
apt-get source emacs25
cd emacs25-25.1+1
dpkg-buildpackage -b 2>&1 | tee ../build.log